package logging

import (
	"io"
	"os"
	"sync"
)

var stdErrLock sync.Mutex

func AcquireStdErr(transaction func(stdErr io.Writer) error) error {
	stdErrLock.Lock()
	defer stdErrLock.Unlock()

	return transaction(os.Stderr)
}
