package v1

import (
	"google.golang.org/protobuf/proto"
)

type StreamSender[T proto.Message] interface {
	Send(msg T) error
}

type StreamReceiver[T proto.Message] interface {
	Receive() (msg T, err error)
}
