package tmpl

import (
	"strings"

	"code.icb4dc0.de/buildr/buildr/internal/hcl"
	"code.icb4dc0.de/buildr/buildr/modules"
)

func WriteToHcl(mod modules.ModuleWithMeta) (string, error) {
	builder := new(strings.Builder)
	writer := hcl.NewWriter[modules.ModuleWithMeta](builder, hcl.WithSkipZeroValues(true))

	if err := writer.Write(mod); err != nil {
		return "", err
	}

	return builder.String(), nil
}
