package modules

import (
	"fmt"

	"code.icb4dc0.de/buildr/buildr/internal/logging"
)

func LogFileNameFormatter(mod ModuleWithMeta) logging.LogFileNameFormatter {
	return logging.LogFileNameFormatterFunc(func(src logging.OutputSource) string {
		return fmt.Sprintf("%s_%s.%s.log", mod.Category(), mod.Name(), src)
	})
}
