buildr {
    bin_dir  = ".buildr/bin"
    out_dir  = ".buildr/out"
    logs_dir = ".buildr/logs"

    plugin "golang" {
        url      = "https://code.icb4dc0.de/api/packages/buildr/generic/golang_plugin/0.0.2/golang.wasm"
        checksum = "d82de8973447e036d4cc26a76f7b6ac8bc78afc3abdf49fcc31553ba5e119e46"
    }
}

locals {
    linux_archs = toset(["amd64", "arm64"])
    macos_archs = toset(["arm64"])

    default_version = "v0.1.0"
}