package hcl

import (
	"github.com/hashicorp/hcl/v2"
)

type GenericBlocks []GenericBlock

func (b GenericBlocks) Blocks() []GenericBlock {
	return b
}

type GenericBlock struct {
	BlockBody  hcl.Body `hcl:",remain"`
	ModuleName string   `hcl:",label"`
	BlockName  string   `hcl:",label"`
}
