package ioutils

import "io"

func NoOpWriteCloser(writer io.Writer) io.WriteCloser {
	return &noOpWriteCloser{writer}
}

type noOpWriteCloser struct {
	io.Writer
}

func (*noOpWriteCloser) Close() error {
	return nil
}
