package modules

import (
	commonv1 "code.icb4dc0.de/buildr/api/generated/common/v1"
)

type Category = commonv1.Category

const (
	CategoryTool    = commonv1.Category_CategoryTool
	CategoryTask    = commonv1.Category_CategoryTask
	CategoryBuild   = commonv1.Category_CategoryBuild
	CategoryPackage = commonv1.Category_CategoryPackage
)

func Categories() []Category {
	return []Category{
		CategoryTool,
		CategoryTask,
		CategoryBuild,
		CategoryPackage,
	}
}
